For the complete documentation index, see llms.txt. This page is also available as Markdown.

ApprovedAchievements

get
Authorizations
AuthorizationstringRequired

This API uses Bearer token authentication.

Requests to this API should contain an Authorization header like this:

Authorization: Bearer [Token]
Path parameters
idstring · hexadecimal-integerRequiredExample: 550e8400-e29b-41d4-a716-446655440000Pattern: ^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$
Query parameters
pageTokenstringOptional
limitinteger · int32Optional
fieldsstring[]Optional
Responses
200

Successful request

application/json
deltaTokenstringRequired
pageTokenstringRequired
get/employments/{id}/approvedAchievements
GET /employments/{id}/approvedAchievements HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful request

{
  "results": [
    {
      "remark": "text",
      "lastModifiedAt": "text",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "issueDate": "2026-01-01",
      "overriddenExpirationDate": "2026-01-01",
      "qualificationID": "550e8400-e29b-41d4-a716-446655440000",
      "evidenceVariantID": "550e8400-e29b-41d4-a716-446655440000",
      "externalId": "text",
      "documents": [
        {
          "contentType": "text",
          "filename": "text"
        }
      ],
      "externalCode": "text",
      "scoreOrder": 1,
      "submittedByID": "550e8400-e29b-41d4-a716-446655440000",
      "approvedByID": "550e8400-e29b-41d4-a716-446655440000",
      "isAutoAchieved": true,
      "createdAt": "text",
      "employmentID": "550e8400-e29b-41d4-a716-446655440000",
      "expirationDate": "2026-01-01"
    }
  ],
  "deltaToken": "text",
  "pageToken": "text"
}

Was this helpful?